package com.muchinfo.mtp3common.enumtype;

import lombok.Getter;

@Getter
public enum MessageType {

    MESSAGE_CODE_SYSTEM001("message_code_system001", "操作成功"),
    MESSAGE_CODE_SYSTEM003("message_code_system003", "修改成功"),
    MESSAGE_CODE_SYSTEM004("message_code_system004", "签约成功"),
    MESSAGE_CODE_SYSTEM005("message_code_system005", "解约成功"),
    MESSAGE_CODE_SYSTEM006("message_code_system006", "获取验证码成功"),
    MESSAGE_CODE_SYSTEM007("message_code_system007", "登录成功"),
    MESSAGE_CODE_SYSTEM008("message_code_system008", "出金成功"),
    MESSAGE_CODE_SYSTEM009("message_code_system009", "入金成功"),
    MESSAGE_CODE_SYSTEM010("message_code_system010", "用户认证通过"),
    MESSAGE_CODE_SYSTEM011("message_code_system011", "斩仓恢复操作成功"),
    MESSAGE_CODE_SYSTEM012("message_code_system012", "支付货款成功"),
    MESSAGE_CODE_SYSTEM013("message_code_system013", "预售摇号成功"),
    MESSAGE_CODE_SYSTEM014("message_code_system014", "预售完成成功"),
    MESSAGE_CODE_SYSTEM015("message_code_system015", "预售申请成功"),
    MESSAGE_CODE_SYSTEM016("message_code_system016", "履约确认信息已发送并处理中,稍后请重新查询"),
    MESSAGE_CODE_SYSTEM017("message_code_system017", "申请成功"),
    MESSAGE_CODE_SYSTEM018("message_code_system018", "履约联络信息已发送,稍后请重新查询"),
    MESSAGE_CODE_SYSTEM019("message_code_system019", "执行成功"),
    MESSAGE_CODE_SYSTEM020("message_code_system020", "批量导入持仓过户成功"),
    MESSAGE_CODE_SYSTEM021("message_code_system021", "提交成功,闭市后自动进行转移"),
    MESSAGE_CODE_SYSTEM022("message_code_system022", "该数据已经审核完成或处理中"),
    MESSAGE_CODE_SYSTEM023("message_code_system023", "没有找到交易商资金账户"),
    MESSAGE_CODE_SYSTEM024("message_code_system024", "审核拒绝"),
    MESSAGE_CODE_SYSTEM025("message_code_system025", "非交易商账户,不能销户审核"),
    MESSAGE_CODE_SYSTEM026("message_code_system026", "资金账户未解约,不能销户"),
    MESSAGE_CODE_SYSTEM027("message_code_system027", "还剩{0}次错误机会,账号或密码不匹配达到{1}次,登录账号将锁定{2}分钟{3}"),
    MESSAGE_CODE_SYSTEM028("message_code_system028", "黑名单已有此证件"),
    MESSAGE_CODE_SYSTEM029("message_code_system029", "IP地址不能为空值"),
    MESSAGE_CODE_SYSTEM030("message_code_system030", "IP地址重复"),
    MESSAGE_CODE_SYSTEM031("message_code_system031", "默认配置"),

    MESSAGE_ERROR_CODE_SYSTEM001("message_error_code_system001", "令牌失效，请重新登录！"),
    MESSAGE_ERROR_CODE_SYSTEM002("message_error_code_system002", "操作失败"),
    MESSAGE_ERROR_CODE_SYSTEM003("message_error_code_system003", "没有该用户的操作权限"),
    MESSAGE_ERROR_CODE_SYSTEM004("message_error_code_system004", "文件上传失败，请联系管理人员处理"),
    MESSAGE_ERROR_CODE_SYSTEM005("message_error_code_system005", "您的申请已提交，请稍后查询结果"),
    MESSAGE_ERROR_CODE_SYSTEM006("message_error_code_system006", "请求超时,请稍后重试"),
    MESSAGE_ERROR_CODE_SYSTEM007("message_error_code_system007", "系统维护中，请稍后再试"),
    MESSAGE_ERROR_CODE_SYSTEM008("message_error_code_system008", "系统异常,请联系管理员"),
    MESSAGE_ERROR_CODE_SYSTEM009("message_error_code_system009", "认证服务不正常"),
    MESSAGE_ERROR_CODE_SYSTEM010("message_error_code_system010", "用户账户不存在"),
    MESSAGE_ERROR_CODE_SYSTEM011("message_error_code_system011", "账户或密码错误"),
    MESSAGE_ERROR_CODE_SYSTEM012("message_error_code_system012", "用户账户已被锁"),
    MESSAGE_ERROR_CODE_SYSTEM013("message_error_code_system013", "用户密码已失效"),
    MESSAGE_ERROR_CODE_SYSTEM014("message_error_code_system014", "用户账户已禁用"),
    MESSAGE_ERROR_CODE_SYSTEM015("message_error_code_system015", "存在未处理的违约申请，不能重复发起"),
    MESSAGE_ERROR_CODE_SYSTEM016("message_error_code_system016", "履约计划步骤已发生变更,无法申请延期"),
    MESSAGE_ERROR_CODE_SYSTEM017("message_error_code_system017", "定金转让市场，请选择商品发行方【{0}】"),
    MESSAGE_ERROR_CODE_SYSTEM018("message_error_code_system018", "请于系统日终处理成功时执行"),
    MESSAGE_ERROR_CODE_SYSTEM019("message_error_code_system019", "该角色名称被引用,请先解除引用"),

    LOGIN_ERROR_CODE_001("login_error_code_001", "账户或密码错误"),
    LOGIN_ERROR_CODE_002("login_error_code_002", "未经允许，不可访问！请联系管理员处理"),
    LOGIN_ERROR_CODE_003("login_error_code_003", "登录锁定"),
    LOGIN_ERROR_CODE_004("login_error_code_004", "账户已停用,请联系管理员"),
    LOGIN_ERROR_CODE_005("login_error_code_005", "登录账号已存在"),
    LOGIN_ERROR_CODE_006("login_error_code_006", "该用户不存在，请联系管理人员处理"),
    LOGIN_ERROR_CODE_007("login_error_code_007", "不允许停用当前登录账户"),
    LOGIN_ERROR_CODE_008("login_error_code_008", "不能与旧密码相同"),
    LOGIN_ERROR_CODE_009("login_error_code_009", "旧密码错误"),
    LOGIN_ERROR_CODE_010("login_error_code_010", "角色信息有误"),

    ROLE_ERROR_CODE_001("role_error_code_001", "角色信息有误"),

    ORGAN_ERROR_CODE_001("organ_error_code_001", "已分配角色,无法注销"),
    ORGAN_ERROR_CODE_002("organ_error_code_002", "存在下级机构,无法注销"),
    ORGAN_ERROR_CODE_003("organ_error_code_003", "存在下级投资者,无法注销"),
    ORGAN_ERROR_CODE_004("organ_error_code_004", "有剩余资金,无法注销"),
    ORGAN_ERROR_CODE_005("organ_error_code_005", "有剩余持仓,无法注销"),
    ORGAN_ERROR_CODE_006("organ_error_code_006", "证件号码已存在正常记录,无法恢复"),
    ORGAN_ERROR_CODE_007("organ_error_code_007", "手机号已存在正常记录,无法恢复"),
    ORGAN_ERROR_CODE_008("organ_error_code_008", "上级机构为非正常状态,无法恢复"),
    ORGAN_ERROR_CODE_009("organ_error_code_009", "所属会员没有经纪角色,无法恢复"),
    ORGAN_ERROR_CODE_010("organ_error_code_010", "代码或机构代码重复"),
    ORGAN_ERROR_CODE_011("organ_error_code_011", "证件号码已存在"),
    ORGAN_ERROR_CODE_012("organ_error_code_012", "证件号码已存在黑名单中,不能开户"),
    ORGAN_ERROR_CODE_013("organ_error_code_013", "名称已存在"),
    ORGAN_ERROR_CODE_014("organ_error_code_014", "管理员登录帐号重复"),
    ORGAN_ERROR_CODE_015("organ_error_code_015", "新增失败，请联系管理员"),
    ORGAN_ERROR_CODE_016("organ_error_code_016", "手机号已存在"),
    ORGAN_ERROR_CODE_017("organ_error_code_017", "企业名称已存在"),
    ORGAN_ERROR_CODE_018("organ_error_code_018", "该机构信息已变更,请刷新数据"),
    ORGAN_ERROR_CODE_019("organ_error_code_019", "证件号码或手机号已存在"),
    ORGAN_ERROR_CODE_020("organ_error_code_020", "审核拒绝原因不能超过80个字"),
    ORGAN_ERROR_CODE_021("organ_error_code_021", "该投资者信息已变更,请刷新数据"),
    ORGAN_ERROR_CODE_022("organ_error_code_022", "非待审核状态,无法撤回"),
    ORGAN_ERROR_CODE_023("organ_error_code_023", "所属会员为非正常状态,无法审核通过"),
    ORGAN_ERROR_CODE_024("organ_error_code_024", "所属机构为非正常状态,无法审核通过"),
    ORGAN_ERROR_CODE_025("organ_error_code_025", "所属经纪人为非正常状态,无法审核通过"),
    ORGAN_ERROR_CODE_026("organ_error_code_026", "存在下级经纪会员,无法删除"),
    ORGAN_ERROR_CODE_027("organ_error_code_027", "存在下级仓库,无法删除"),
    ORGAN_ERROR_CODE_028("organ_error_code_028", "做市会员已签约,无法删除"),
    ORGAN_ERROR_CODE_029("organ_error_code_029", "做市会员是默认报价商,无法删除"),
    ORGAN_ERROR_CODE_030("organ_error_code_030", "做市会员已配置二级对手关系,无法删除"),
    ORGAN_ERROR_CODE_031("organ_error_code_031", "做市会员被场外期权做市引用,无法删除"),
    ORGAN_ERROR_CODE_032("organ_error_code_032", "存在积分类型,无法删除"),
    ORGAN_ERROR_CODE_033("organ_error_code_033", "报价机构被引用,无法删除"),
    ORGAN_ERROR_CODE_034("organ_error_code_034", "上级不能为自己"),
    ORGAN_ERROR_CODE_035("organ_error_code_035", "比率值不能大于100"),

    PROFIT_SHAR_ERROR_CODE_001("profit_shar_error_code_001", "请先删除分润配置"),
    PROFIT_SHAR_ERROR_CODE_002("profit_shar_error_code_002", "请先删除分组人员"),
    PROFIT_SHAR_ERROR_CODE_003("profit_shar_error_code_003", "该费用类型已存在分润配置"),

    QUERY_ERROR_CODE_001("query_error_code_001", "请选择市场查询"),
    QUERY_ERROR_CODE_002("query_error_code_002", "历史查询请选择开始日期"),
    QUERY_ERROR_CODE_003("query_error_code_003", "历史查询请选择结束日期"),
    QUERY_ERROR_CODE_004("query_error_code_004", "没有此权限"),
    QUERY_ERROR_CODE_005("query_error_code_005", "无数据可导出"),
    QUERY_ERROR_CODE_006("query_error_code_006", "导出失败，请联系管理员！"),
    QUERY_ERROR_CODE_007("query_error_code_007", "请输入资金账户"),
    QUERY_ERROR_CODE_008("query_error_code_008", "市场错误或状态不为开市状态！"),
    QUERY_ERROR_CODE_009("query_error_code_009", "参数错误"),
    QUERY_ERROR_CODE_010("query_error_code_010", "导入文件为空"),

    REPORT_ERROR_CODE_001("report_error_code_001", "起始交易日{0},结束交易日{1}执行报表重新统计出错"),

    MARKET_RUN_MESSAGE_001("market_run_message_001", "强制下线已发送"),

    SETTLEMENT_MESSAGE_001("settlement_message_001", "确认付款完成: {0} 条成功, {1} 条失败"),
    SETTLEMENT_MESSAGE_002("settlement_message_002", "数据有变更，请刷新重试"),

    PWD_ERROR_CODE_001("pwd_error_code_001", "请填写旧密码"),
    PWD_ERROR_CODE_002("pwd_error_code_002", "请填写新密码"),
    PWD_ERROR_CODE_003("pwd_error_code_003", "请填写新密码确认"),
    PWD_ERROR_CODE_004("pwd_error_code_004", "两次密码不一致"),
    PWD_ERROR_CODE_005("pwd_error_code_005", "旧密码错误"),

    AMOUNT_ERROR_CODE_001("amount_error_code_001", "金额为 0,不做处理!"),

    TRAACC_ERROR_CODE_001("TRAACC_ERROR_CODE_001", "登录账户重复,请点击重新生成并再次提交!"),

    INVESTOR_ERROR_CODE_001("investor_error_code_001", "没有找到资金账户"),
    INVESTOR_ERROR_CODE_002("investor_error_code_002", "非投资者账户,不能销户审核."),
    INVESTOR_ERROR_CODE_003("investor_error_code_003", "资金账户未解约,不能销户."),
    INVESTOR_ERROR_CODE_004("investor_error_code_004", "账户存在资金、持仓等相关信息,不能注销."),
    INVESTOR_ERROR_CODE_005("investor_error_code_005", "资金账户请求没有回应."),
    INVESTOR_ERROR_CODE_006("investor_error_code_006", "分组名重复."),
    INVESTOR_ERROR_CODE_007("investor_error_code_007", "请选择投资者."),
    INVESTOR_ERROR_CODE_008("investor_error_code_008", "{0}已分配分组."),
    INVESTOR_ERROR_CODE_009("investor_error_code_009", "请先移除该分组下所有投资者."),
    INVESTOR_ERROR_CODE_010("investor_error_code_010", "请先删除该分组的个性化设置."),
    INVESTOR_ERROR_CODE_011("investor_error_code_011", "比率值不能大于10000."),
    INVESTOR_ERROR_CODE_012("investor_error_code_012", "关联用户不能为自己."),

    WAREHOUSE_ERROR_CODE_01("warehouse_error_code_01", "仓库代码最多10位."),
    WAREHOUSE_ERROR_CODE_02("warehouse_error_code_02", "仓库代码重复."),
    WAREHOUSE_ERROR_CODE_03("warehouse_error_code_03", "仓库名称重复."),
    WAREHOUSE_ERROR_CODE_04("warehouse_error_code_04", "数据错误：机构数据缺失."),
    WAREHOUSE_ERROR_CODE_05("warehouse_error_code_05", "该仓库已关联现货品种，不能注销."),

    MESSAGE_NOTICE_ERROR_CODE_01("message_notice_error_code_01", "请至少选择一个会员！"),
    MESSAGE_NOTICE_ERROR_CODE_02("message_notice_error_code_02", "未找到会员！"),
    ;

    private String code;
    private String message;

    // 3. 字段的构造方法
    MessageType(String code, String message) {
        this.code = code;
        this.message = message;
    }
}
